.define_question_dir: &define_question_dir
  TB_PROJECT_DIR: "/builds/90cos/cyv/Private-test-bank/basic-dev"
  TB_PATH: performance

# JOB DEFINITIONS
Test_Python_counting_pieces:
  image: registry.gitlab.com/90cos/docker-definitions/basic-dev
  stage: test
  variables:
    <<: *define_question_dir
    PYTHON_PATH: Python/counting_pieces
  script:
    - >
      if [ -d "$TB_PATH/$PYTHON_PATH/Solution/" ];
      then
        cd "$TB_PATH/$PYTHON_PATH/"
        cp Solution/* .
      elif [ -d "$PYTHON_PATH/" ];
      then
        cd "$PYTHON_PATH/"
      fi
    - python3 runtests.py
  rules:
    - if: '$CI_PROJECT_NAME != "basic-dev"'
    - if: '$CI_PROJECT_NAME == "basic-dev"'
      changes:
      - performance/Python/counting_pieces/**/*
